FTGL 2.4.0

Data Structures | Macros | Functions
FTGLTriangleExtractorFont.h File Reference
`#include <FTGL/ftgl.h>`
`#include <vector>`
Include dependency graph for FTGLTriangleExtractorFont.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
class | FTTriangleExtractorFont
| FTPolygonFont is a specialisation of the FTFont class for handling tesselated Polygon Mesh fonts. More...

## Macros
#define | FTGLTriangleExtractorFont FTTriangleExtractorFont

## Functions
FTGLfont * | ftglCreateTriangleExtractorFont (const char *file)
| Create a specialised FTGLfont object for handling tesselated polygon mesh fonts.
FTGLfont * | ftglCreateTriangleExtractorFontFromMem (const unsigned char *bytes, size_t len)
| Create a specialised FTGLfont object for handling tesselated polygon mesh fonts from a buffer in memory.

## Macro Definition Documentation

## ◆ FTGLTriangleExtractorFont

#define FTGLTriangleExtractorFont FTTriangleExtractorFont

Definition at line 85 of file FTGLTriangleExtractorFont.h.

## Function Documentation

## ◆ ftglCreateTriangleExtractorFont()

FTGLfont * ftglCreateTriangleExtractorFont | ( | const char * | file | ) |

Create a specialised FTGLfont object for handling tesselated polygon mesh fonts.

Parameters

  file | The font file name.

Returns
  An FTGLfont* object.

See also
  FTGLfont

## ◆ ftglCreateTriangleExtractorFontFromMem()

FTGLfont * ftglCreateTriangleExtractorFontFromMem | ( | const unsigned char * | bytes,
|  | size_t | len )

Create a specialised FTGLfont object for handling tesselated polygon mesh fonts from a buffer in memory.

Sets Error flag. The buffer is owned by the client and is NOT copied by FTGL. The pointer must be valid while using FTGL.

Parameters

  bytes | the in-memory buffer
  len | the length of the buffer in bytes

Returns
  An FTGLfont* object.